Bug 1349695 - Incorrect Format for 'mode' in Puppet Manifest amqp.pp
Summary: Incorrect Format for 'mode' in Puppet Manifest amqp.pp
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: trunk
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Ivan Chavero
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-24 02:55 UTC by Jun Go
Modified: 2016-07-01 00:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-01 00:01:37 UTC


Attachments (Terms of Use)
patch for amqp.pp (deleted)
2016-06-24 02:55 UTC, Jun Go
no flags Details | Diff

Description Jun Go 2016-06-24 02:55:20 UTC
Description of problem: 
packstack installer fails with the error
ERROR : Error appeared during Puppet run: 192.168.30.20_amqp.pp
Error: Parameter mode failed on File[rabbitmq.config]: The file mode specification must be a string, not 'Fixnum' at /var/tmp/packstack/acac3c972b894b65a5f51ffa98e401a3/modules/rabbitmq/manifests/config.pp:84
You will find full trace in log /var/tmp/packstack/20160624-105930-iXVbrO/manifests/192.168.30.20_amqp.pp.log
Please check log file /var/tmp/packstack/20160624-105930-iXVbrO/openstack-setup.log for more information

Version-Release number of selected component (if applicable):
- openstack-packstack-8.0.0-1.el7.noarch
- Fedora 24 kernel 4.5.5-300.fc24.x86_64
- puppet-4.2.1-3.fc24.noarch

How reproducible:
Run the packstack installer on Fedora 24

Steps to Reproduce:
1.
2.
3.

Actual results:
ERROR : Error appeared during Puppet run: 192.168.30.20_amqp.pp

Expected results:
install should proceed w/o error

Additional info:
A similar error about string vs Fixnum in puppet manifests was reported at https://github.com/torrancew/puppet-cron/issues/41
I used this method to edit amqp.pp and now packstack installer works fine.

Here is the diff:

--- amqp.pp.orig	2016-06-24 11:09:33.996453212 +0900
+++ amqp.pp	2016-06-24 11:10:04.837401879 +0900
@@ -69,7 +69,7 @@
     ensure  => present,
     owner   => 'rabbitmq',
     group   => 'rabbitmq',
-    mode    => 0640,
+    mode    => '0640',
   }
 
 }

Comment 2 Alan Pevec 2016-06-30 13:12:46 UTC
> How reproducible:
> Run the packstack installer on Fedora 24

That's not supported in OSP, moving to upstream.

Comment 3 Alan Pevec 2016-06-30 22:58:00 UTC
Before we can fix this, we'll need to add puppet4 job in the upstream gate.

Comment 4 Alan Pevec 2016-07-01 00:01:37 UTC
Not a packaging issue, moved to upstream tracker https://bugs.launchpad.net/packstack/+bug/1597951


Note You need to log in before you can comment on or make changes to this bug.